package org.antlr.tool;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import java.util.HashSet;
import java.util.Set;
import org.antlr.runtime.CommonTokenStream;
import org.antlr.runtime.TokenSource;
import org.antlr.tool.Interp;

public class FilteringTokenStream extends CommonTokenStream {
  Set<Integer> hide;
  
  public FilteringTokenStream(TokenSource src) {
    super(src);
    this.hide = new HashSet<Integer>();
  }
  
  protected void sync(int i) {
    super.sync(i);
    if (this.hide.contains(Integer.valueOf(get(i).getType())))
      get(i).setChannel(99); 
  }
  
  public void setTokenTypeChannel(int ttype, int channel) {
    this.hide.add(Integer.valueOf(ttype));
  }
}
